package com.elab.spring.componts.containers;

import com.elab.core.exception.BusinessException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;

/**
 * 容器刷新完成回调
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 */
public class ContainerRefreshRunner implements ApplicationRunner {
    protected Logger logger = LoggerFactory.getLogger(getClass());

    @Override
    public void run(ApplicationArguments args) throws Exception {
        logger.info("===============================容器刷新完成，开启回调方法====================================");
        ContainerRefresh.getInstance().refreshMethod(args);
        logger.info("===============================容器刷新完成，结束回调方法====================================");
    }
}
